<?php
/**
Copyright Guillaume Bourgeois (2018)

contact@souke.fr

Ce logiciel est un programme informatique servant à aider les producteurs
à distribuer leur production en circuits courts.

Ce logiciel est régi par la licence CeCILL soumise au droit français et
respectant les principes de diffusion des logiciels libres. Vous pouvez
utiliser, modifier et/ou redistribuer ce programme sous les conditions
de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
sur le site "http://www.cecill.info".

En contrepartie de l'accessibilité au code source et des droits de copie,
de modification et de redistribution accordés par cette licence, il n'est
offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
seule une responsabilité restreinte pèse sur l'auteur du programme,  le
titulaire des droits patrimoniaux et les concédants successifs.

A cet égard  l'attention de l'utilisateur est attirée sur les risques
associés au chargement,  à l'utilisation,  à la modification et/ou au
développement et à la reproduction du logiciel par l'utilisateur étant
donné sa spécificité de logiciel libre, qui peut le rendre complexe à
manipuler et qui le réserve donc à des développeurs et des professionnels
avertis possédant  des  connaissances  informatiques approfondies.  Les
utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
logiciel à leurs besoins dans des conditions permettant d'assurer la
sécurité de leurs systèmes et ou de leurs données et, plus généralement,
à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
pris connaissance de la licence CeCILL, et que vous en avez accepté les
termes.
 */

use common\helpers\AdminLTE;
use common\helpers\Price;

?>

<div class="row">
    <div class="col-lg-6 col-xs-6">
        <?= AdminLTE::smallBox(
            $countProducersActive,
            'Producteurs actifs sur les 3 derniers mois',
            'aqua',
            'user'
        ) ?>
    </div>
    <div class="col-lg-6 col-xs-6">
        <?= AdminLTE::smallBox(
            $countUsersActive,
            'Clients actifs sur les 3 derniers mois',
            'aqua',
            'users'
        ) ?>
    </div>
</div>
<div class="row">
    <div class="col-lg-6 col-xs-6">
        <?= AdminLTE::smallBox(
            $countPointSalesActive,
            'Points de vente actifs sur les 3 derniers mois',
            'aqua',
            'map-marker'
        ) ?>
    </div>
    <div class="col-lg-6 col-xs-6">
        <?= AdminLTE::smallBox(
            $averageOrdersPerDay,
            'Commandes clients / jour sur les 7 derniers jours',
            'aqua',
            'shopping-cart',
            Yii::$app->urlManager->createUrl('stats-admin/turnover')
        ) ?>
    </div>
</div>
<div class="row">
    <div class="col-lg-6 col-xs-6">
        <?= AdminLTE::smallBox(
            $numberVisitsDay,
            'Visites / jour en moyenne sur les 30 derniers jours',
            'aqua',
            'eye'
        ) ?>
    </div>
    <div class="col-lg-6 col-xs-6">
        <?= AdminLTE::smallBox(
            Price::format($turnoverLastThirtyDays, 0),
            'CA total producteurs sur les 30 derniers jours',
            'aqua',
            'line-chart',
            Yii::$app->urlManager->createUrl('stats-admin/turnover')
        ) ?>
    </div>
</div>
<div class="row">
    <div class="col-lg-6 col-xs-6">
        <?= AdminLTE::smallBox(
            Price::format($amountToBillCurrentMonth, 0),
            'Total factures producteurs mois en cours',
            'green',
            'euro',
            Yii::$app->urlManager->createUrl('producer-admin/index')
        ) ?>
    </div>
    <div class="col-lg-6 col-xs-6">
        <?= AdminLTE::smallBox(
            Price::format($amountBilledLastMonth, 0),
            'Total factures producteurs du mois dernier',
            'green',
            'euro',
            Yii::$app->urlManager->createUrl('producer-admin/index')
        ) ?>
    </div>
</div>
<div class="row">
    <div class="col-lg-6 col-xs-6">
        <?= AdminLTE::smallBox(
            Price::format($amountProducerUnpaidInvoices, 0),
            'Montant factures producteurs impayées',
            'red',
            'euro',
            Yii::$app->parameterBag->get('dolibarrUrl') . 'compta/facture/list.php?leftmenu=customers_bills_notpaid&search_status=1'
        ) ?>
    </div>
</div>